{
  config,
  lib,
  ...
}:
let
  cfg = config.nix-config.hypr;
in
{
  options = {
    nix-config.hypr.enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      description = "Enable an opinionated hyprland+quickshell setup as a desktop environment.";
    };
  };

  imports = [
    ./hyprland
    ./hyprlock.nix
    ./hypridle.nix
  ];
}
